3

these packages stick as upgradeable, even after sudo apt-get upgrade && sudo apt-get dist-upgrade, or reinstalling sudo apt-get remove cuda-10-1 && sudo apt-get install cuda-10-1 :

➜  ~ apt list --upgradeable


Listing... Done
libnvidia-cfg1-450/unknown 450.36.06-0ubuntu1 amd64 [upgradable from: 450.36.06-0ubuntu1]
libnvidia-common-450/unknown 450.36.06-0ubuntu1 all [upgradable from: 450.36.06-0ubuntu1]
libnvidia-compute-450/unknown 450.36.06-0ubuntu1 amd64 [upgradable from: 450.36.06-0ubuntu1]
libnvidia-decode-450/unknown 450.36.06-0ubuntu1 amd64 [upgradable from: 450.36.06-0ubuntu1]
libnvidia-encode-450/unknown 450.36.06-0ubuntu1 amd64 [upgradable from: 450.36.06-0ubuntu1]
libnvidia-fbc1-450/unknown 450.36.06-0ubuntu1 amd64 [upgradable from: 450.36.06-0ubuntu1]
libnvidia-gl-450/unknown 450.36.06-0ubuntu1 amd64 [upgradable from: 450.36.06-0ubuntu1]
libnvidia-ifr1-450/unknown 450.36.06-0ubuntu1 amd64 [upgradable from: 450.36.06-0ubuntu1]
libxnvctrl0/unknown 450.36.06-0ubuntu1 amd64 [upgradable from: 450.36.06-0ubuntu1]
nvidia-dkms-450/unknown 450.36.06-0ubuntu1 amd64 [upgradable from: 450.36.06-0ubuntu1]
nvidia-kernel-source-450/unknown 450.36.06-0ubuntu1 amd64 [upgradable from: 450.36.06-0ubuntu1]

Is this a misconfiguration, or did I something wrong?

Cheers, and thanks!

My Env:

                          ./+o+-       aa@aa-zfs-linux
                  yyyyy- -yyyyyy+      OS: Ubuntu 18.04 bionic
               ://+//////-yyyyyyo      Kernel: x86_64 Linux 4.15.0-101-generic
           .++ .:/++++++/-.+sss/`      Uptime: 37m
         .:++o:  /++++++++/:--:/-      Packages: 2442
        o:+o+:++.`..```.-/oo+++++/     Shell: zsh 5.4.2
       .:+o:+o/.          `+sssoo+/    Resolution: 1920x1200
  .++/+:+oo+o:`             /sssooo.   DE: GNOME 
 /+++//+:`oo+o               /::--:.   WM: GNOME Shell
 \+/+o+++`o++o               ++////.   WM Theme: Adwaita
  .++.o+++oo+:`             /dddhhh.   GTK Theme: Ambiance [GTK2/3]
       .+.o+oo:.          `oddhhhh+    Icon Theme: ubuntu-mono-dark
        \+.++o+o``-````.:ohdhhhhh+     Font: Ubuntu 11
         `:o+++ `ohhhhhhhhyo++os:      CPU: Intel Core i7-3930K @ 12x 3.8GHz [38.0°C]
           .o:`.syhhhhhhh/.oo++o`      GPU: TITAN Xp
               /osyyyyyyo++ooo+++/     RAM: 8133MiB / 63590MiB
                   ````` +oo+++o\:    
                          `oo++.    
6
  • 2
    Confirming. I am experiencing the exact same thing with the recent NVIDIA drivers upgrade.
    – akhmed
    Jun 6, 2020 at 20:46
  • As an additional pointer. The problem started exactly like described here: askubuntu.com/questions/1247629/how-to-upgrade-libxnvctrl0 and evolved into the current problem once I updated cuda
    – akhmed
    Jun 6, 2020 at 20:52
  • 1
    yes, agree! it started with libxnvctrl0, then I tried to reinstall cuda-10-1 and first cuda-10-0 leading to the problem stated above.
    – lhlmgr
    Jun 6, 2020 at 20:55
  • 1
    I "solved" it for now by editing /etc/apt/sources.list and commenting out all the lines related to deb http://developer.download.nvidia.com/... and then followed up by running apt update
    – akhmed
    Jun 6, 2020 at 21:09
  • good point! Thanks for the hint. May I ask if you also have some high cpu / gpu usage for xorg + gnome-shell?
    – lhlmgr
    Jun 6, 2020 at 21:10

0

You must log in to answer this question.

Browse other questions tagged .